Karmic upgrade not shutting off backlight after time

Bug #413168 reported by Mike Butash on 2009-08-13
236
This bug affects 39 people
Affects Status Importance Assigned to Milestone
gnome-power
Confirmed
High
gnome-power-manager (Ubuntu)
High
Loïc Minier
xorg-server (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: gnome-power-manager

Upon upgrade from ibex->jaunty->karmic yesterday, I'm finding gnome-power-manager is shutting off the display after the timed interval as it used to. I have tried a recursive-unset on gpm and resetting the timeout value to no benefit. Launching gpm in verbose shows nothing before/after the timeout period. Possibly relate is the screensaver is also not coming on after the set interval, so possibly something is preventing both from becoming "idle".

Here is the output of gnome-power-bugreport:

Distro version: squeeze/sid
Kernel version: 2.6.31-5-generic
g-p-m version: 2.27.5
HAL version: 0.5.13
System manufacturer: missing
System version: missing
System product: missing
AC adapter present: yes
Battery present: yes
Laptop panel present: yes
CPU scaling present: yes
Battery Information:
  battery.charge_level.current = 79786 (0x137aa) (int)
  battery.charge_level.design = 86580 (0x15234) (int)
  battery.charge_level.last_full = 79786 (0x137aa) (int)
  battery.charge_level.percentage = 100 (0x64) (int)
  battery.charge_level.rate = 11 (0xb) (int)
  battery.is_rechargeable = true (bool)
  battery.model = 'DELL PU5568' (string)
  battery.present = true (bool)
  battery.rechargeable.is_charging = false (bool)
  battery.rechargeable.is_discharging = false (bool)
  battery.reporting.current = 7800 (0x1e78) (int)
  battery.reporting.design = 7800 (0x1e78) (int)
  battery.reporting.last_full = 7188 (0x1c14) (int)
  battery.reporting.rate = 1 (0x1) (int)
  battery.reporting.technology = 'Li-ion' (string)
  battery.reporting.unit = 'mAh' (string)
  battery.serial = '20829' (string)
  battery.technology = 'lithium-ion' (string)
  battery.type = 'primary' (string)
  battery.vendor = 'Samsung SDI' (string)
  battery.voltage.current = 12480 (0x30c0) (int)
  battery.voltage.design = 11100 (0x2b5c) (int)
  battery.voltage.unit = 'mV' (string)
DeviceKit data:
Device: /org/freedesktop/DeviceKit/Power/devices/line_power_AC
  native-path: /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/AC
  power supply: yes
  updated: Wed Aug 12 22:55:30 2009 (37109 seconds ago)
  has history: no
  has statistics: no
  line-power
    online: yes

Device: /org/freedesktop/DeviceKit/Power/devices/battery_BAT0
  native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
  vendor: Samsung SDI
  model: DELL PU5568
  serial: 20829
  power supply: yes
  updated: Wed Aug 12 22:55:52 2009 (37087 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: fully-charged
    energy: 86.58 Wh
    energy-empty: 0 Wh
    energy-full: 86.58 Wh
    energy-full-design: 86.58 Wh
    energy-rate: 9.7569 W
    voltage: 12.536 V
    percentage: 100%
    capacity: 92.1538%
    technology: lithium-ion

Daemon:
  daemon-version: 010
  can-suspend: yes
  can-hibernate yes
  on-battery: no
  on-low-battery: no
  lid-is-closed: no
  lid-is-present: yes
GNOME Power Manager Process Information:
mb 23769 0.0 0.2 33744 10704 pts/1 S+ 08:46 0:00 | | \_ gnome-power-manager --no-daemon --verbose
HAL Process Information:
107 2880 0.0 0.1 7108 4476 ? Ss Aug12 0:08 /usr/sbin/hald
root 2946 0.0 0.0 3572 1176 ? S Aug12 0:00 \_ hald-runner
root 2980 0.0 0.0 3644 1144 ? S Aug12 0:00 \_ /usr/lib/hal/hald-addon-rfkill-killswitch
root 2998 0.0 0.0 3640 1072 ? S Aug12 0:00 \_ /usr/lib/hal/hald-addon-generic-backlight
root 3012 0.0 0.0 3648 1056 ? S Aug12 0:00 \_ hald-addon-storage: no polling on /dev/sr0 because it is explicitly disabled
root 3015 0.0 0.0 3660 976 ? S Aug12 0:00 \_ /usr/lib/hal/hald-addon-cpufreq
107 3016 0.0 0.0 3464 1060 ? S Aug12 0:00 \_ hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
root 3026 0.0 0.0 3676 1304 ? S Aug12 0:00 \_ hald-addon-input: Listening on /dev/input/event2 /dev/input/event0 /dev/input/event13 /dev/input/event14 /dev/input/event5 /dev/input/event6 /dev/input/event1 /dev/input/event10 /dev/input/event9 /dev/input/event4
root 22988 0.0 0.0 3644 1124 ? S Aug12 0:00 \_ /usr/lib/hal/hald-addon-leds

Scott Howard (showard314) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 407491, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Please continue to report any other bugs you may find.

Mike Butash (michael-butash) wrote :

Hi Scott, thanks for the update, but respectfully I don't believe this is the same issue. I had seen and read through the other issue you attached this as duplicate to, but I didn't seem to have issues retaining the settings. I have updated gnome-power-manager to the updated version 2.27.5-0ubuntu2 and my issue still persists. I did post a separate bug for gnome-screensaver that may be related, as it will not engage on the time limit either. It seems to me as though something is keeping gpm and gnome-screensaver from recognising the system as "idle". That one is listed as bug #397892, but unfortunately doesn't have much info either, as I found even less info about debugging it than I did GPM.

Scott Howard (showard314) wrote :

Thanks for sticking with this. If it is still an issue, you're right - it's obviously not a duplicate. I'm unmarking as such.

See:
http://blogs.gnome.org/hughsie/2009/08/17/gnome-power-manager-and-blanking-removal-of-bodges/

There appears to be a broken idletimer within x. Your bug may be related to this. Hopefully this will be fixed soon with merges, otherwise we'll need to get these fixes into x.

Changed in gnome-power-manager (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Timo Aaltonen (tjaalton) wrote :

This is still not fixed. Confirmed by several people.

Changed in gnome-power-manager (Ubuntu):
importance: Medium → High
milestone: none → ubuntu-9.10-beta
Timo Aaltonen (tjaalton) wrote :

Adding xorg-server too, since it's currently unknown which one needs fixing.

Changed in xorg-server (Ubuntu):
importance: Undecided → High
status: New → Confirmed
David Tomaschik (matir) wrote :

I'm experiencing the same behavior. Using "xset dpms force off" will switch off the screen successfully, but only when the screensaver is not running. Doing "gnome-screensaver-command --lock && xset dpms force off", the screen switches off for a minute or two, then switches back on as a black screen with a mouse cursor on it. At present, I'm having to remember to manually switch off my monitor in the evenings.

Mike Butash (michael-butash) wrote :

There does seem to be a conflict between gnome-power-manager and gnome-screensaver in relation to the idle timers. Using one or the other they behave, but not when together. Forcing install of older Jaunty packages works fine, so I don't believe this is an xorg issue, but something rather with one or the other gpm or screensaver packages.

I updated fully end of this week and didn't resolve anything with the screensaver and monitor dim, so I went back to using the old jaunty packages. Doing a system update only made my suspend broken, network manager behave erratically, and introduced other broken application behavior, so karmic still seems to be quite unstable. Ugh.

Mathieu Pellerin (nirvn-asia) wrote :

https://bugzilla.gnome.org/show_bug.cgi?id=594760 seems to be the right upstream bug.

Timo Aaltonen (tjaalton) on 2009-09-22
Changed in xorg-server (Ubuntu):
status: Confirmed → Invalid
affects: xorg-server → gnome-power
Nicolò Chieffo (yelo3) wrote :

WARNING TO DEVS I'm reporting an upstream (Richard Hughes) comment:
(In reply to comment #4)
> 2.28 released with this bug still open??

No, ubuntu need to add two patches to the xserver. See
http://blogs.gnome.org/hughsie/2009/08/17/gnome-power-manager-and-blanking-removal-of-bodges/

Jeremy Nickurak (nickurak) wrote :

Upstream gnome is about to close this, because they're saying it's an Xorg issue. Why is it marked invalid here?

Download full text (5.8 KiB)

I think multiple bugs are getting mixed together.
See bug 397839.

According to Bryce at that bug report, xorg has been properly patched
with both patches that Richard Hughes requests.

gnome-power-manager is at a version where its fix is included.

So xorg says the bug is invalid since they have the patches and
gnome-power-manager says the bug in in xorg.

From the number of reports that are coming in on both bugs, it appears
that the reality is that DPMS and blanking problems do remain.

On Wed, Sep 23, 2009 at 11:12 AM, Jeremy Nickurak
<email address hidden> wrote:
> Upstream gnome is about to close this, because they're saying it's an
> Xorg issue. Why is it marked invalid here?
>
> --
> Karmic upgrade not shutting off backlight after time
> https://bugs.launchpad.net/bugs/413168
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gnome Powermanager: Unknown
> Status in “gnome-power-manager” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Upon upgrade from ibex->jaunty->karmic yesterday, I'm finding gnome-power-manager is shutting off the display after the timed interval as it used to.  I have tried a recursive-unset on gpm and resetting the timeout value to no benefit.  Launching gpm in verbose shows nothing before/after the timeout period.  Possibly relate is the screensaver is also not coming on after the set interval, so possibly something is preventing both from becoming "idle".
>
> Here is the output of gnome-power-bugreport:
>
> Distro version:       squeeze/sid
> Kernel version:       2.6.31-5-generic
> g-p-m version:        2.27.5
> HAL version:          0.5.13
> System manufacturer:  missing
> System version:       missing
> System product:       missing
> AC adapter present:   yes
> Battery present:      yes
> Laptop panel present: yes
> CPU scaling present:  yes
> Battery Information:
>  battery.charge_level.current = 79786  (0x137aa)  (int)
>  battery.charge_level.design = 86580  (0x15234)  (int)
>  battery.charge_level.last_full = 79786  (0x137aa)  (int)
>  battery.charge_level.percentage = 100  (0x64)  (int)
>  battery.charge_level.rate = 11  (0xb)  (int)
>  battery.is_rechargeable = true  (bool)
>  battery.model = 'DELL PU5568'  (string)
>  battery.present = true  (bool)
>  battery.rechargeable.is_charging = false  (bool)
>  battery.rechargeable.is_discharging = false  (bool)
>  battery.reporting.current = 7800  (0x1e78)  (int)
>  battery.reporting.design = 7800  (0x1e78)  (int)
>  battery.reporting.last_full = 7188  (0x1c14)  (int)
>  battery.reporting.rate = 1  (0x1)  (int)
>  battery.reporting.technology = 'Li-ion'  (string)
>  battery.reporting.unit = 'mAh'  (string)
>  battery.serial = '20829'  (string)
>  battery.technology = 'lithium-ion'  (string)
>  battery.type = 'primary'  (string)
>  battery.vendor = 'Samsung SDI'  (string)
>  battery.voltage.current = 12480  (0x30c0)  (int)
>  battery.voltage.design = 11100  (0x2b5c)  (int)
>  battery.voltage.unit = 'mV'  (string)
> DeviceKit data:
> Device: /org/freedesktop/DeviceKit/Power/devices/line_power_AC
>  nat...

Read more...

Loïc Minier (lool) wrote :

If I "xset dpms force off", it works; if gnome-power-manager shuts off the screen, it comes back on.

Noel J. Bergman (noeljb) wrote :

What I see is that after the appropriate idle time, the screen goes blank, I can see the backlight turn off, and then a few seconds later, the backlight comes back on, although the screen stays blank (my screensaver is set to simply blank the screen).

ahorner (a-horner) wrote :

I'm also having this problem. xset dpms force off works though.

Is this the same problem that is stopping suspend from shutting down the backlight on my IBM x31?

Alex Murray (alexmurray) wrote :

This seems to be a serious regression to me - bug #426765 (which seems to be a dup on this) suggests that commit http://cgit.freedesktop.org/xorg/xserver/commit/?id=c1d901d723c3bee523736eacc15b44a7dff484fe needs to be applied to xorg-server to fix this - so I suggest this bug should be marked valid against xorg-server and the linked patch applied to fix this issue - upstream have clearly stated that xorg-server is where the bug is. Can this please be given some serious consideration before the beta release? The fix seems quite straight forward. Cheers.

Changed in xorg-server (Ubuntu):
status: Invalid → Confirmed
Alex Murray (alexmurray) wrote :

I've uploaded a patched version of xorg-server to my PPA which should fix this if you want to test it:

https://launchpad.net/~alexmurray/+archive/ppa

Tim Lunn (darkxst) wrote :

I can confirm that the patched xorg server resolves this issue.

Loïc Minier (lool) wrote :

Closing the GPM task as things work for me with the patched xorg-server which I just uploaded; needs to be reviewed by release team still

Changed in gnome-power-manager (Ubuntu):
status: Confirmed → Fix Released
Changed in xorg-server (Ubuntu):
status: Confirmed → Fix Committed
Changed in gnome-power-manager (Ubuntu):
assignee: nobody → Loïc Minier (lool)
Klaus Doblmann (moviemaniac) wrote :

thanks for the ppa-build!

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Alex Murray wrote:
> I've uploaded a patched version of xorg-server to my PPA which should
> fix this if you want to test it:
>
> https://launchpad.net/~alexmurray/+archive/ppa
>
Confirming that fixes the problem for me.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBCAAGBQJKwP+UAAoJEIltSrFpUGteY/gH/RT0V1Rs2lylfTGGu1jXRK8O
m20z+xvKVJhEq0W/Z0mI/ex1FV+YAgsdNabmUSNrOk0Ua9Qp3B+xFgRzeCG3VmEY
pE5SgfX1OfCLEcEemttlo6OwK3nYiNqgeExaYZ2+XFThfXsCv8M8QoZumXVfYYBq
ENGyIh2HS/mCs+EGBxIdlTnpqurUu8BDPEkOOtnMySSLQkIcQj/sC6hsnACDXO4G
h6ftF+P1TU7QqC1k2jC7o6CDIEjNF80pFUILRZDKdl0jZkGXw9gUjTZ6tzy8v5sl
EoEPKAI+z8kNXHTRNgI5Kw+TU9M3aw2pDvOeHH/7QyezWrCwqphRhqdBYF1ttyQ=
=sprf
-----END PGP SIGNATURE-----

Changed in xorg-server (Ubuntu):
status: Fix Committed → Fix Released
Scott Howard (showard314) wrote :

This is an important bug, are we sure it is fix released? So far all comments have been from people testing the PPA. From Loic's comments:
"Closing the GPM task as things work for me with the patched xorg-server which I just uploaded; needs to be reviewed by release team still"

I don't think it has been released yet, we are still waiting for the release team to approve it. If I'm wrong, please correct me.

Changed in xorg-server (Ubuntu):
status: Fix Released → Fix Committed
Timo Aaltonen (tjaalton) wrote :

It got accepted already, and fixes it for me too.

xorg-server (2:1.6.3-1ubuntu7) karmic; urgency=low

  * Add 187_lastdeviceeventtime-no-reset.patch: Avoids resetting IDLETIME on
    DPMS events. Cherrypick from upstream.
    (LP: #397839)

Changed in xorg-server (Ubuntu):
status: Fix Committed → Fix Released
anagor (anagor) wrote :

The patch in 2:1.6.3-1ubuntu7 fixes it for me too.

Patrick Pfeifer (patrick2000) wrote :

There are still problems for me with 2:1.6.3-1ubuntu7: at unpredictable intervals the screen goes blank and wakes up again after 2 secons. VERY annoying. So far i killed 7 peop ... :-) no - i killed gnome-power-manager gnome-screensaver devicekit-power-daemon
pat@babar:~$ ps axfu | egrep screen\|power
pat 32234 0.0 0.0 6060 620 pts/0 S+ 19:43 0:00 \_ egrep screen|power
pat@babar:~$
...eehr - does anybody know now who is to blame now of obviously trying to xset-dpms-force-off my screen and waking up again as soon as he did ??? because it actually still happens (NOT jocking!)
just installed karmic today - changeover from lenny/sid - but it should be a fairly clean karmic

Patrick Pfeifer (patrick2000) wrote :

hehe ... :-) - ok, i got it - that flickering was just because of me stupidly setting radeon.modeset=1 kernel option to have smooth modesetting. (because otherwise i had some crashes when changing to text console (which i ocassionally have to do to poke xorg so my bluetooth mouse gets reconnected)) but ... it obviously has nothing to do with gnome-{screensaver,power-manager} or DeVicEkID-* ... sorry 'bout that

It seems to work for me too in Karmic on an X61s.

SabreWolfy (sabrewolfy) wrote :

Karmic Release Candidate: neither screensaver nor screenlock turn off the backlight. Screensaver set to 3 minutes and display sleep set to 5.

Is this issue fixed somehow or it still isn't?
Karmic final is almost there, and there are still bugs. Shameful.

I AM WASTING ELECTRICITY HERE!

I have added Alex Murray's repository, but nothing is is upgradeable after reloading in Synaptic.

What am I doing wrong?
Am I supposed to install something or what?

Please help.

Alex Murray (alexmurray) wrote :

@Milos - the patched version of xorg-server in my PPA has been superseded by the official Ubuntu package, so there is no need to use my PPA (hence why it doesn't offer any upgrade because the version in the official PPA is newer). For me this issue is fixed by the official package in the Ubuntu repo.

Id2ndR (id2ndr) wrote :

As Miloš Lazić, I've got an issue on karmic RC : screen does not turn off after a inactivity. It worked fine in jaunty.

Nicolò Chieffo (yelo3) on 2009-10-25
tags: added: regression-potential

no regression here
Has been working fine since Alex's patch was released.

On 25/10/09 21:41, Nicolò Chieffo wrote:
> ** Tags added: regression-potential
>
>

Id2ndR (id2ndr) wrote :

If this issue is fixed, maybe SabreWolfy, Miloš Lazić and I should open an other bug that may be an other issue.

I've got a computer with Intel GMA945 where I don't encountered this issue, and the other with Intel 845G where I encountered this issue. The second one was upgraded from jaunty whether the first one was a fresh install of karmic at alpha 5 stage.

Id2ndR (id2ndr) wrote :

Bug #397892 is related to this issue. On the last comment (27), it start working for pliz. Maybe it will work for us too. I use the french mirror so update are a little bit delayed for me.

SabreWolfy (sabrewolfy) wrote :

Correction to my previous post. Karmic Release Candidate. Screen backlight DOES turn off when screensaver time is less than poweroff time.

Id2ndR (id2ndr) wrote :

I finally managed to get it working by activating the screensaver, setting it to 1 minute as the timeout of screen backlight. Maybe there is an issue when screensaver is not turned on.

Nicolò Chieffo (yelo3) wrote :

In my case I have the screensaver tured off and idle time set to 10 minutes. gnome-power-manager set to 1 minute for putting displays to sleep.
It seems to work in my case.

i reinstalled (final version) and it's all working now.

Id2ndR (id2ndr) wrote :

My trouble was caused by an other program (a visual keyboard) that I compiled myself so it's my fault. I don't get any trouble except when totem doesn't start to play a video and I kill it but this is an other issue which is about totem/gstreamer.

Changed in gnome-power:
status: Unknown → Confirmed
Changed in gnome-power:
importance: Unknown → High
Alecz20 (alexguzu) wrote :

This is marked as fixed but still happens occasionally in Ubuntu 10.04

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.